// file.h : header file
//
// Class:		File
//
// Created:		20/05/98
//
// Author:		S.D.Holme
//
// Version:		1.20
//
// Modifications:
//
//	1.00	20/05/98	S.D.Holme	Created.
//									Added InterBbsSystemFile class.
//									Added InterBbsNodeFile class.
//			12/06/98	S.D.Holme	Included pathname in includes as BCC
//									ran out of space in its include dirs
//			12/06/98	S.D.Holme	Public release.
//	1.10	19/06/98	S.D.Holme	Added the following classes:
//										InterBbsSystemFile
//										InterBbsNodeFile
//	1.20	16/08/98	S.D.Holme	Added support for crash and hold flags in
//									the InterBBS node file
//
// File Library. Copyright (c) 1995-98 Fonty Technologies, Inc.
//
#ifndef _FILE_H
#define _FILE_H

#include <stdlib.h>
#include <io.h>
#include <fcntl.h>
#include <sys\stat.h>

#include "\develop\file\types.h"

#include "\develop\file\file0.h"				// File
#include "\develop\file\file1.h"				// BinaryFile
#include "\develop\file\file2.h"				// TextFile
#include "\develop\file\file3.h"				// ConfigurationFile
#include "\develop\file\file4.h"				// ANSiTextFile
#include "\develop\file\file5.h"				// AvatarFile
#include "\develop\file\file6.h"				// InterBbsSystemFile
#include "\develop\file\file7.h"				// InterBbsNodeFile

#endif