// file2.h : header file
//
// Class:		TextFile
//
// Created:		19/09/95
//
// Author:		S.D.Holme
//
// Version:		1.01
//
// Modifications:
//
//	1.00	19/09/95	S.D.Holme	Created.
//			31/10/96	S.D.Holme	Renamed the use of eof() to Eof().
//			12/07/97	S.D.Holme	Public release.
//
//	1.01	20/05/98	S.D.Holme	Tidied up the class declaration.
//
// File Library. Copyright (c) 1995-98 Fonty Technologies, Inc.
//
#ifndef _FILE2_H
#define _FILE2_H

// TextFile

class TextFile : public File
{
// Construction
public:
	TextFile(const char* pszFilename = "", int nAccess = 0);
	virtual ~TextFile();

// Operations
public:
	// Initialisation
	BOOL Initialise(void);

	// Accessors
	virtual BOOL SetMode(int nAccess);

	// Output
	virtual BOOL Writeln(const char* pszText = "");

	// Input
	virtual BOOL Readln(char* pszText, char chDelimiter = '\n', int nMax = 256);
	virtual BOOL ReadNot(char* pszText, char* pszNotText = "", char chDelimiter = '\n', int nMax = 256);

// Attributes
protected:

};

#endif