// file3.cpp : implementation file
//
// Class:		ConfigurationFile
//
// Created:		19/09/95
//
// Author:		S.D.Holme
//
// Version:		1.01
//
// Modifications:
//
//	1.00	19/09/95	S.D.Holme	Created.
//			12/07/97	S.D.Holme	Public release.
//
//	1.01	20/05/98	S.D.Holme	Tidied up the class implementation.
//
// File Library. Copyright (c) 1995-98 Fonty Technologies, Inc.
//
#include <stdlib.h>

#include "file.h"

/////////////////////////////////////////////////////////////////////////////
// ConfigurationFile Class

// Constructor
ConfigurationFile::ConfigurationFile(const char* pszFilename, int nAccess)
	: BinaryFile(pszFilename, nAccess)
{
	// Initialise member attributes
	m_pContents = NULL;
}

// Desctructor
ConfigurationFile::~ConfigurationFile()
{
}

// Initialisation
BOOL ConfigurationFile::Initialise(void)
{
	if(! BinaryFile::Initialise())
	{
		// Return failure
		return FALSE;
	}

	// Initialise member attributes
	if(m_pContents != NULL)
	{
		delete m_pContents;
		m_pContents = NULL;
	}

	// Return success
	return TRUE;
}

